/**
 * aums接口
 * 创建时间:2019-02-18
 */
if (!evm) {
    throw new Error("aums-api.js依赖/swatapps/ape/evm.js文件");
}
try {
    evm.util.common.logger.debug("机顶盒JS扩展的封装接口载入开始");
} catch (e) {
    throw new Error("未引入日志打印文件，如果/swatapps/ape/util/common-1.3.1.js，之后版本，需要单独引入/swatapps/ape/util/logger.js");
}

(function (window, undefined) {
    var aums = window.aums = window.aums || {};

    //php服务端数据中转接口地址
    var bridgePath = '/swatapps/ape/interface/bridge.php?url=';

    /**
     * 接口服务器地址
     * @type {string}
     */
    var serverPath = /^10./.test(location.host) ? 'http://10.102.1.19:8080' : 'http://60.255.71.30:19003';;
    /**
     * 接口地址
     * @type {{}}
     */
    var interfaces = {
    	getColumnServlet: serverPath +"/ancms_server_interface/servlet/ColumnServlet?columnId={columnId}",
        getArticleList: serverPath + "/ancms_server_interface/articleList/getArticleList?curPage={curPage}&pageSize={pageSize}",
        getArticle: serverPath + "/ancms_server_interface/servlet/ArticleServlet?id={id}"
    };

    aums.api = {
        /**
         * 获取频道列表
         * @params {Object}
         * @params.PageNum
         * @params.PageSize
         */
        getColumnServlet: function(params){
        	if (!params.columnId) {
                params.columnId = '';
            }
        	var interfaceUrl = interfaces.getColumnServlet;
        	interfaceUrl = evm.util.common.template(interfaceUrl, params);
        	return interfaceUrl;
        },
        getArticleList: function (params) {
            if (!params.curPage) {
                params.curPage = 1;
            }
            if (!params.pageSize) {
                params.pageSize = 10;
            }

            var interfaceUrl = interfaces.getArticleList;
            interfaceUrl = evm.util.common.template(interfaceUrl, params);

            if (params.areaId) {
                interfaceUrl += '&areaId=' + params.areaId;
            }
            if (params.columnId) {
                interfaceUrl += '&columnId=' + params.columnId;
            }
            if (params.areaType) {
                interfaceUrl += '&areaType=' + params.areaType;
            }
            if (params.level) {
                interfaceUrl += '&level=' + params.level;
            }

            evm.util.common.logger.debug('aums.api.getArticleList() request url:' + interfaceUrl);

            return interfaceUrl;
        },
        getArticle: function (params) {
            var interfaceUrl = interfaces.getArticle;
            interfaceUrl = evm.util.common.template(interfaceUrl, params);

            evm.util.common.logger.debug('aums.api.getArticle() request url:' + interfaceUrl);

            return interfaceUrl;
        }
    };
})(this);
