function setFilter() {
  var filter_rules = '';
  try {
    filter_rules = System.getFilterRules();
    evm.log('set filter start, rules: ' + filter_rules);
  } catch (e) {
    evm.log('set filter start, get filter rules failed');
  }
  if (filter_rules.indexOf('com.evmtv.wst') < 0) {
    if (filter_rules.length) {
      filter_rules += '|com.evmtv.wst';
    } else {
      filter_rules += 'com.evmtv.wst';
    }
    try {
      System.setFilterRules(filter_rules);
      evm.log('set filter end, rules: ' + filter_rules);
    } catch (e) {
      evm.log('set filter end, set filter rules failed');
    }
  }
}
function clearFilter() {
  var filter_rules = '';
  try {
    filter_rules = System.getFilterRules();
    evm.log('clear filter start, rules: ' + filter_rules);
  } catch (e) {
    evm.log('clear filter start, get filter rules failed');
  }
  if (filter_rules.indexOf('com.evmtv.wst') >= 0) {
    filter_rules = filter_rules
      .replace('|com.evmtv.wst', '')
      .replace('com.evmtv.wst|', '')
      .replace('com.evmtv.wst', '');
    try {
      System.setFilterRules(filter_rules);
      evm.log('clear filter end, rules: ' + filter_rules);
    } catch (e) {
      evm.log('clear filter end, set filter rules failed');
    }
  }
}
function notificationEnable() {
  var enable = false;
  try {
    enable = System.isNotificationEnable();
    evm.log('notification enabled: ' + enable);
  } catch (e) {
    evm.log(e);
  }
  return enable;
}
function startNotification() {
  try {
    var res = System.enableNotification();
    evm.log('start notification ' + res ? 'success' : 'failed');
  } catch (e) {
    evm.log(e);
  }
}
function stopNotification() {
  try {
    var res = System.disableNotification();
    evm.log('stop notification ' + res ? 'success' : 'failed');
  } catch (e) {
    evm.log(e);
  }
}
function getAddress() {
  var res;
  try {
    res = System.getNotificationServerAddress();
    evm.log('get notification address: ' + res);
  } catch (e) {
    evm.log(e);
  }
  return res;
}
var noti_address = '';
function setAddress(addr) {
  try {
    var res = System.setNotificationServerAddress(addr);
    evm.log('set notification address ' + res ? 'success' : 'failed');
  } catch (e) {
    evm.log(e);
  }
}

if(evm.globalConfig.enableMessagePipe) {
  if (evm.stbInfo.stb === 'evm_apk') {
    var addr = getAddress();
    if (addr !== noti_address) {
      setAddress(noti_address);
    }
    if (!notificationEnable()) {
      startNotification();
    }
  }
  setFilter();
}
